cURL
curl --request GET \
--url https://api.brightdata.com/zone/blacklist \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/zone/blacklist"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/zone/blacklist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ZONE1": [
"127.0.0.1"
],
"ZONE2": [
"127.0.0.2"
]
}Allowlists & denylists
List of denylisted IPs for a zone
Use the Bright Data Account Management API to list of denylisted IPs for a zone. GET /zone/blacklist returns 200 OK with zone or account JSON.
GET
/
zone
/
blacklist
cURL
Paste your API key to the authorization field. To get an API key, Create an account and learn how to generate an API key
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Query Parameters
A comma-separated list of zone identifiers to filter the request by. If not provided, defaults to '*', indicating all zones.
Response
200 - application/json
OK
The response is of type object.
Was this page helpful?